﻿using DicomObjects;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TestClient2
{
    public static class Utils
    {
        public static void Dump(string methodName, IEnumerable<DicomDataSet> results)
        {
            Console.WriteLine($"============={methodName}=============");
            int count = 1;
            foreach (var ds in results)
            {
                Console.WriteLine($"================returned result #{count}===================");
                foreach (var at in ds)
                {
                    if (at.KeywordCode == DicomObjects.Enums.Keyword.PixelData)
                    {
                        Console.WriteLine($"({at.Group:X4}, {at.Element:X4}) : {at.Description}");
                    }
                    else
                    {
                        Console.WriteLine($"({at.Group:X4}, {at.Element:X4}) : {at.Description} : {at.Value}");
                    }
                }
                count++;
            }
            Console.WriteLine($"================End of {methodName}==================");
        }
    }
}
